﻿using UnityEngine;

public class HandDown : MotionNote
{
    private static Sprite image;
    public override Sprite Image
    {
        get
        {
            return image;
        }
    }

    public HandDown(string key, string type, float start, float end = 0f)
        : base(key, type, start, end)
    {
        switch (key)
        {
            case "BD":
                image = LoadNewSprite("Assets/MotionNotes/BD.png");
                MotionName = "HandDownBoth";
                break;
            case "LD":
                image = LoadNewSprite("Assets/MotionNotes/LD.png");
                MotionName = "HandDownLeft";
                break;
            case "RD":
                image = LoadNewSprite("Assets/MotionNotes/RD.png");
                MotionName = "HandDownRight";
                break;
        }
    }
}
